Bug 1335959 - dnf repoquery --srpm does not work
dnf repoquery --srpm does not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-13 11:45 EDT by Miroslav Suchý
Modified: 2016-05-21 22:24 EDT (History)
9 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.21-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-21 22:24:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2016-05-13 11:45:41 EDT
Description of problem:
I have this repo
  https://copr-be.cloud.fedoraproject.org/repo.tar.gz
When I run:
dnf repoquery --disablerepo=* --repofrompath=prunerepo_query,/var/lib/copr/public_html/results/lrusak/nginx-mainline/fedora-22-x86_64 --repoid=prunerepo_query --enablerepo=prunerepo_query --refresh --queryformat="%{location}" --quiet 

I get

00154942-nginx/nginx-1.9.9-1.fc22.src.rpm
00154942-nginx/nginx-1.9.9-1.fc22.x86_64.rpm
00154942-nginx/nginx-debuginfo-1.9.9-1.fc22.x86_64.rpm
00154942-nginx/nginx-filesystem-1.9.9-1.fc22.noarch.rpm
00162569-nginx/nginx-1.9.11-1.fc22.src.rpm
00162569-nginx/nginx-debuginfo-1.9.11-1.fc22.x86_64.rpm
00162569-nginx/nginx-filesystem-1.9.11-1.fc22.noarch.rpm
00164678-nginx/nginx-1.9.12-1.fc22.src.rpm
00164678-nginx/nginx-1.9.12-1.fc22.x86_64.rpm
00164678-nginx/nginx-debuginfo-1.9.12-1.fc22.x86_64.rpm
00164678-nginx/nginx-filesystem-1.9.12-1.fc22.noarch.rpm


When I run:
dnf repoquery --disablerepo=* --repofrompath=prunerepo_query,/var/lib/copr/public_html/results/lrusak/nginx-mainline/fedora-22-x86_64 --repoid=prunerepo_query --enablerepo=prunerepo_query --refresh --queryformat="%{location}" --quiet --srpm nginx-1.9.9-1.fc22.x86_64

I get empty output. While I would expect 00154942-nginx/nginx-1.9.9-1.fc22.src.rpm


Version-Release number of selected component (if applicable):
dnf-plugins-core-0.1.19-1.fc23.noarch

How reproducible:
deterministic

Steps to Reproduce:
1. unpack https://copr-be.cloud.fedoraproject.org/repo.tar.gz
2. dnf repoquery --disablerepo=* --repofrompath=prunerepo_query,YOURPATH/nginx-mainline/fedora-22-x86_64 --repoid=prunerepo_query --enablerepo=prunerepo_query --refresh --queryformat="%{location}" --quiet --srpm nginx-1.9.9-1.fc22.x86_64
Do not forget to alter YOURPATH to you local filesystem

Actual results:
no srpm listed

Expected results:
srpm listed

Additional info:
Comment 1 Miroslav Suchý 2016-05-13 16:22:11 EDT
https://copr-be.cloud.fedoraproject.org/repo.tar.gz had wrong selinux context and gave 403. This is now fixed and you can download it.
Comment 2 Honza Silhan 2016-05-16 07:39:39 EDT
thanks for the report. It should act as yum repoquery. In the meantime you can try `--source` as a workaround.
Comment 3 clime 2016-05-16 11:11:50 EDT
We need to get srpm loc(In reply to Jan Silhan from comment #2)
> thanks for the report. It should act as yum repoquery. In the meantime you
> can try `--source` as a workaround.

Regrettably, we need to get srpm location (--qf '%{location}') but that is not allowed with not allowed with argument -s/--source.
Comment 5 Fedora Update System 2016-05-19 07:08:07 EDT
dnf-plugins-core-0.1.21-1.fc24 dnf-1.1.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1efd7bc386
Comment 6 Fedora Update System 2016-05-19 07:10:22 EDT
dnf-1.1.9-1.fc23 dnf-plugins-core-0.1.21-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb69db975e
Comment 7 Fedora Update System 2016-05-20 21:33:00 EDT
dnf-1.1.9-1.fc24, dnf-plugins-core-0.1.21-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1efd7bc386
Comment 8 Fedora Update System 2016-05-20 22:27:18 EDT
dnf-1.1.9-1.fc23, dnf-plugins-core-0.1.21-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb69db975e
Comment 9 Fedora Update System 2016-05-21 22:24:15 EDT
dnf-1.1.9-1.fc23, dnf-plugins-core-0.1.21-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.